## cl-sql 3.1.2

=== db-mysql/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 9369 2004-05-16 07:02:10Z kevin $
+#  CVS Id:   $Id: Makefile 9927 2004-08-27 12:25:03Z kevin $
 #
 # This file, part of CLSQL, is Copyright (c) 2002 by Kevin M. Rosenberg
 #
@@ -26,7 +26,7 @@
 all: $(shared_lib)
 
 $(shared_lib): $(source) Makefile
-	CFLAGS="-I /usr/include/mysql -I /usr/local/include/mysql" LDFLAGS="-L/usr/local/lib/mysql -L/usr/lib/mysql -lmysqlclient" BASE=$(base) OBJECT=$(object) SOURCE=$(source) SHARED_LIB=$(shared_lib) sh make.sh
+	CFLAGS="-I /usr/include/mysql -I /usr/local/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql" LDFLAGS="-L/usr/local/lib/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -lmysqlclient" BASE=$(base) OBJECT=$(object) SOURCE=$(source) SHARED_LIB=$(shared_lib) sh make.sh
 	rm $(object)
 
 .PHONY: distclean
