## cl-sql 3.5.3

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 9336 2004-05-13 06:55:48Z kevin $
+#  CVS Id:   $Id: Makefile 9625 2004-06-14 17:19:54Z marcusp $
 #
 # This file, part of CLSQL, is Copyright (c) 2002-2004 by Kevin M. Rosenberg
 #
@@ -16,7 +16,8 @@
 PKG	:= clsql
 DEBPKG	:= cl-sql
 SUBDIRS	:= sql tests uffi db-mysql db-aodbc db-odbc \
-	   db-postgresql db-postgresql-socket db-sqlite
+	   db-postgresql db-postgresql-socket db-sqlite \
+           db-oracle 
 DOCSUBDIRS:=doc
 
 include Makefile.common
