=== db-db2/Makefile ===
# FILE IDENTIFICATION
#
#  Name:    Makefile
#  Purpose: Makefile for CLSQL Db2 interface
#  Author:  Kevin M. Rosenberg
#  Created: May 2004
#
#  CVS Id:   $Id: Makefile 9517 2004-05-29 15:31:36Z kevin $
#
# This file, part of CLSQL, is Copyright (c) 2004 by Kevin M. Rosenberg
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.

SUBDIRS=

include ../Makefile.common

.PHONY: distclean
distclean: clean
