=== doc/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 9541 2004-06-04 01:11:49Z kevin $
+#  CVS Id:   $Id: Makefile 9990 2004-09-10 08:44:24Z kevin $
 #
 # This file, part of CLSQL, is Copyright (c) 2002-2003 by Kevin M. Rosenberg
 #
@@ -21,10 +21,13 @@
 
 # Standard docfile processing
 
-DEBIAN=$(shell expr "`cat /etc/issue`" : '.*Debian.*')
-SUSE=$(shell expr "`cat /etc/issue`" : '.*SuSE.*')
-SUSE91=$(shell expr "`cat /etc/issue`" : '.*SuSE Linux 9.1.*')
-REDHAT=$(shell expr "`cat /etc/issue`" : '.*RedHat.*')
+DEBIAN=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Debian.*')
+SUSE=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*SuSE.*')
+SUSE91=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*SuSE Linux 9.1.*')
+REDHAT=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Red Hat.*')
+MANDRAKE=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Mandrake.*')
+DARWIN=$(shell expr "`uname -a`" : '.*Darwin.*')
+
 
 ifneq (${DEBIAN},0)
 OS:=debian
@@ -37,11 +40,18 @@
     else   
       ifneq (${REDHAT},0)
         OS=redhat
+      else   
+        ifneq (${MANDRAKE},0)
+          OS=mandrake
+	else   
+          ifneq (${DARWIN},0)
+            OS=darwin
+	  endif 
+        endif
       endif
     endif
   endif
 endif
-
 
 ifndef DOCFILE_BASE
 DOCFILE_BASE=${DOCFILE_BASE_DEFAULT}
