=== uffi/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 8153 2003-11-11 15:28:36Z kevin $
+#  CVS Id:   $Id: Makefile 10582 2005-06-08 20:10:25Z kevin $
 #
 # This file, part of CLSQL, is Copyright (c) 2002 by Kevin M. Rosenberg
 #
@@ -17,7 +17,7 @@
 
 include ../Makefile.common
 
-base=uffi
+base=clsql_uffi
 source=$(base).c
 object=$(base).o
 shared_lib=$(base).so
@@ -26,7 +26,7 @@
 all: $(shared_lib)
 
 $(shared_lib): $(source) Makefile
-	BASE=$(base) OBJECT=$(object) SOURCE=$(source) SHARED_LIB=$(shared_lib) sh make.sh
+	BASE=$(base) OBJECT=$(object) SOURCE=$(source) SHARED_LIB=$(shared_lib) LDFLAGS="-lc" sh make.sh
 	rm $(object)
 
 .PHONY: distclean
