## cl-sql 4.0.3

=== db-mysql/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 11496 2007-01-19 21:58:43Z kevin $
+#  CVS Id:   $Id$
 #
 # This file, part of CLSQL, is Copyright (c) 2002 by Kevin M. Rosenberg
 #
