## cl-sql 4.0.5

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 9625 2004-06-14 17:19:54Z marcusp $
+#  CVS Id:   $Id$
 #
 # This file, part of CLSQL, is Copyright (c) 2002-2004 by Kevin M. Rosenberg
 #
