=== db-db2/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  Author:  Kevin M. Rosenberg
 #  Created: May 2004
 #
-#  CVS Id:   $Id: Makefile 9517 2004-05-29 15:31:36Z kevin $
+#  CVS Id:   $Id$
 #
 # This file, part of CLSQL, is Copyright (c) 2004 by Kevin M. Rosenberg
 #
