=== db-oracle/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  Author:  Kevin M. Rosenberg
 #  Created: May 2004
 #
-#  CVS Id:   $Id: Makefile 9476 2004-05-25 08:41:56Z kevin $
+#  CVS Id:   $Id$
 #
 # This file, part of CLSQL, is Copyright (c) 2004 by Kevin M. Rosenberg
 #
