=== examples/sqlite3/init-func/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  Programer:    Aurelio Bignoli
 #  Date Started: Oct 2004
 #
-#  CVS Id:   $Id: Makefile 10191 2004-12-07 06:11:55Z kevin $
+#  CVS Id:   $Id$
 #
 # This file, part of CLSQL, is Copyright (c) 2004 by Aurelio Bignoli
 #
