## cl-sql 4.2.0

=== db-mysql/Makefile ===
--- 
+++ 
@@ -5,8 +5,6 @@
 #  Purpose:      Makefile for CLSQL MySQL interface
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
-#
-#  CVS Id:   $Id$
 #
 # This file, part of CLSQL, is Copyright (c) 2002 by Kevin M. Rosenberg
 #
@@ -22,13 +20,17 @@
 source=$(base).c
 object=$(base).o
 shared_lib=$(base).so
+shared64_lib=$(base)64.so
 
 
 .PHONY: all
 all: $(shared_lib)
 
-CFLAGS=-I /usr/local/include/mysql -I /usr/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql -I /usr/local/mysql/include
-LDFLAGS=-L/usr/local/lib64/mysql -L/usr/local/mysql/lib32 -L/usr/local/lib/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -L/usr/local/mysql/lib -L/usr/lib/gcc/i686-pc-cygwin/3.4.4 -lmysqlclient -lz -lc
+CFLAGS=-I /usr/local/include/mysql -I /usr/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql -I /opt/local/include/mysql5/mysql -I /usr/local/mysql/include
+LDFLAGS=-L/usr/local/lib64/mysql -L/usr/local/mysql/lib32 -L/usr/local/lib/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -L/opt/local/lib/mysql5/mysql -L/usr/local/mysql/lib -L/usr/lib/gcc/i686-pc-cygwin/3.4.4 -lmysqlclient -lz -lc
+
+CFLAGS32=-I /usr/local/include/mysql -I /usr/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql -I /opt/local/include/mysql5/mysql -I /usr/local/mysql/include -m32
+LDFLAGS32=-L/lib32 -L/usr/lib32 -melf_i386 -lmysqlclient -lz -lc
 
 ifneq ($(OS_CYGWIN),0)
   CFLAGS=-I /cygdrive/c/Program\ Files/MySQL/MySQL\ Server\ 5.0/include
@@ -53,13 +55,22 @@
 	gcc $(CFLAGS) -DWIN32 -c $(source) -o $(object)
 	ld -shared -soname=$(base)  $(object) $(LDFLAGS) -o $(shared_lib)
       else
-	gcc $(CFLAGS) -fPIC -c $(source) -o $(object)
-	ld -shared -soname=$(base) $(object) $(LDFLAGS) -o $(shared_lib)
+        ifneq ($(OS_LINUX64),0)
+	  gcc $(CFLAGS) -fPIC -c $(source) -o $(object)
+	  ld -shared -soname=$(base) $(object) $(LDFLAGS) -o $(shared64_lib)
+	  rm $(object)
+	  @echo "Ensure that you have multiarch i386 build tools and libraries if you want to build 32-bit library"
+	  -gcc $(CFLAGS32) -fPIC -c $(source) -o $(object)
+	  -ld -shared -soname=$(base) $(object) $(LDFLAGS32) -o $(shared_lib)
+        else
+	  gcc $(CFLAGS) -fPIC -c $(source) -o $(object)
+	  ld -shared -soname=$(base) $(object) $(LDFLAGS) -o $(shared_lib)
+        endif
       endif
     endif
   endif
 endif
-	rm $(object)
+	rm -f $(object)
 
 .PHONY: distclean
 distclean: clean
