## cl-sql 5.1.1

=== debian/changelog ===
cl-sql (5.1.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 15 May 2010 15:20:38 -0600

cl-sql (5.1.0-1) unstable; urgency=low

  * New upstream - depends on UFFI 2.x

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 20 Apr 2010 12:37:13 -0600

cl-sql (5.0.6-1) unstable; urgency=low

  * New upstream
  * Switch to dpkg-source 3.0 (quilt) format

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 16 Apr 2010 00:44:41 -0600

cl-sql (5.0.5-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 21 Mar 2010 01:11:20 -0600

cl-sql (5.0.4-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 17 Feb 2010 10:02:14 -0700

cl-sql (5.0.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 11 Feb 2010 15:18:04 -0700

cl-sql (5.0.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 08 Feb 2010 16:18:52 -0700

cl-sql (5.0.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 07 Feb 2010 22:34:13 -0700

cl-sql (5.0.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 07 Feb 2010 02:48:20 -0700

cl-sql (4.3.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 29 Jan 2010 16:48:24 -0700

cl-sql (4.3.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 28 Jan 2010 18:36:06 -0700

cl-sql (4.3.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 28 Jan 2010 15:10:11 -0700

cl-sql (4.3.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 07 Jan 2010 11:03:33 -0700

cl-sql (4.2.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 10 Dec 2009 17:03:31 -0700

cl-sql (4.1.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 12 Nov 2009 00:41:04 -0700

cl-sql (4.1.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 04 Sep 2009 13:02:14 -0600

cl-sql (4.1.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 31 Aug 2009 22:43:56 -0600

cl-sql (4.0.6-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 31 Aug 2009 14:36:30 -0600

cl-sql (4.0.5-5) unstable; urgency=low

  * debian/rules: Fix bug introduced by change to dh-lisp (closes:540816)
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 10 Aug 2009 10:05:16 -0600

cl-sql (4.0.5-4) unstable; urgency=low

  * debian/control:
    - Add Vcs-Browser field
    - Convert to dh-lisp
  * debian/rules:
    - Simplify install rules utilizing more debhelper functions
    - Convert to dh-lisp

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 04 Aug 2009 02:21:14 -0600

cl-sql (4.0.5-3) unstable; urgency=low

  * control: Update debhelper compat to 7, add Homepage and Vgs-Git
  fields.
  * rules: update to DH 7 compatible

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 02 Aug 2009 00:21:45 -0600

cl-sql (4.0.5-2) unstable; urgency=low

  * Change section from devel to lisp
  * Update debhelper compat version to 5
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 26 Jul 2009 20:28:14 -0600

cl-sql (4.0.5-1) unstable; urgency=low

  * New upstream version
  * Change build dependency to be independent of libmysqlclient version
  (closes:538459)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 26 Jul 2009 17:30:19 -0600

cl-sql (4.0.4-1) unstable; urgency=low

  * Update Oracle FFI based on changes in CLSQL. Thanks to Paul
  Metcalfe, Liam Healy, and Alan Salewski (closes:481029)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 07 Mar 2009 13:32:00 -0700

cl-sql (4.0.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 11 Dec 2007 18:14:13 -0700

cl-sql (4.0.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 23 Oct 2007 08:01:21 -0600

cl-sql (4.0.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 17 Sep 2007 08:53:42 -0600

cl-sql (4.0.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 14 Sep 2007 11:55:03 -0600

cl-sql (3.8.6.1-4) unstable; urgency=low

  * make package binNMU safe (closes:435968)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 28 Aug 2007 08:40:23 -0600

cl-sql (3.8.6.1-3) unstable; urgency=low

  * debian/control: actually use the binary:Version for any-to-any dependencies
  (closes:434812)

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 26 Jul 2007 16:55:29 -0600

cl-sql (3.8.6.1-2) unstable; urgency=low

  * debian/control: Tighten version dependencies. Convert source:Version to
  binary:Version for any-to-any dependencies. Revert changes in 3.8.6.1-1
  (closes:434358)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 23 Jul 2007 11:59:21 -0600

cl-sql (3.8.6.1-1) unstable; urgency=low

  * debian/control: Change architecture of binary packages which
  depend on cl-sql-uffi from 'all' to 'any' since cl-sql-uffi is 'any'.
  Without this change, packages which depend on cl-sql-uffi can become
  uninstallable if the autobuilder fails to build the 'any' cl-sql-uffi
  and the dependant 'all' package gets upgraded. (closes: 433907)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 22 Jul 2007 11:37:13 -0600

cl-sql (3.8.6-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 20 Jul 2007 17:17:32 -0600

cl-sql (3.8.5-2) unstable; urgency=low

  * debian/watch: New version

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 18 Jul 2007 20:26:08 -0600

cl-sql (3.8.5-1) unstable; urgency=low

  * debian/control: Add libmysqlclient15-dev as dependency for cl-sql-mysql
    since clsql-mysql modules depends on finding the .so files to load


