## cl-sql 5.2.0

=== debian/changelog ===
cl-sql (5.2.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 07 Nov 2010 09:47:02 -0700

cl-sql (5.1.4-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 20 Sep 2010 21:56:46 -0600

cl-sql (5.1.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 16 Aug 2010 16:29:09 -0600

cl-sql (5.1.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 16 Aug 2010 11:27:41 -0600
