## cl-sql 5.3.2

=== debian/changelog ===
cl-sql (5.3.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 01 Apr 2011 12:08:02 -0600

cl-sql (5.3.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 30 Mar 2011 23:32:06 -0600

cl-sql (5.3.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 29 Mar 2011 18:25:13 -0600
