=== debian/changelog ===
cl-sql (5.3.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 12 Jun 2011 09:49:33 -0600
