## cl-sql 5.3.4

=== debian/changelog ===
cl-sql (5.3.4-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 20 Jun 2011 13:20:12 -0600
