## cl-sql 5.4.0

=== debian/changelog ===
cl-sql (5.4.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 16 Jul 2011 09:13:15 -0600
