## cl-sql 6.0.0

=== debian/changelog ===
cl-sql (6.0.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 03 Aug 2011 08:47:58 -0600
