## cl-sql 6.0.1

=== debian/changelog ===
cl-sql (6.0.1-1build1) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Wed, 23 Nov 2011 16:07:14 -0800

cl-sql (6.0.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 21 Sep 2011 10:57:59 -0600
