## cl-sql 6.1.1

=== debian/changelog ===
cl-sql (6.1.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 20 Dec 2011 19:58:29 -0700
