## cl-sql 6.2.0

=== debian/changelog ===
cl-sql (6.2.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 26 Apr 2012 10:05:22 -0600
