## cl-sql 6.3.0

=== debian/changelog ===
cl-sql (6.3.0-1) unstable; urgency=low

  * New release

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 04 Sep 2012 16:58:17 -0600
