## cl-sql 6.4.0

=== debian/changelog ===
cl-sql (6.4.0-1) unstable; urgency=low

  * New release

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 19 Dec 2012 10:01:33 -0700
